-- IndustrialTest
-- Copyright (C) 2025 mrkubax10

-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.

-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

industrialtest.FluidContainerItem=table.copy(industrialtest.Item)

function industrialtest.FluidContainerItem.prepare(self,itemstack)
	if industrialtest.api.itemHasFluidStorage(itemstack) then
		return
	end
	local meta=itemstack:get_meta()
	meta:set_int("industrialtest.fluidAmount",0)
	meta:set_int("industrialtest.fluidCapacity",self.capacity)
	industrialtest.api.updateItemFluidText(itemstack)
end
